Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula.eval
Class ErrorEval

    java.lang.Object
      org.apache.poi.ss.formula.eval.ErrorEval

All Implemented Interfaces:
  ValueEval

    public final class ErrorEval

extends java.lang.Object
implements ValueEval

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Field Summary
`static ErrorEval` | `CIRCULAR_REF_ERROR`
`static ErrorEval` | `DIV_ZERO` #DIV/0! - Division by zero
`static ErrorEval` | `NA` #N/A - Argument or function not available
`static ErrorEval` | `NAME_INVALID` #NAME? - Wrong function or range name
`static ErrorEval` | `NULL_INTERSECTION` #NULL! - Intersection of two cell ranges is empty
`static ErrorEval` | `NUM_ERROR` #NUM! - Value range overflow
`static ErrorEval` | `REF_INVALID` #REF! - Illegal or deleted cell reference
`static ErrorEval` | `VALUE_INVALID` #VALUE! - Wrong type of operand

Method Summary
`int` | `getErrorCode()`
`static java.lang.String` | `getText(int errorCode)` Converts error codes to text.
`java.lang.String` | `toString()`
`static ErrorEval` | `valueOf(int errorCode)` Translates an Excel internal error code into the corresponding POI ErrorEval instance

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL_INTERSECTION

    public static final ErrorEval NULL_INTERSECTION

  #NULL! - Intersection of two cell ranges is empty

### DIV_ZERO

    public static final ErrorEval DIV_ZERO

  #DIV/0! - Division by zero

### VALUE_INVALID

    public static final ErrorEval VALUE_INVALID

  #VALUE! - Wrong type of operand

### REF_INVALID

    public static final ErrorEval REF_INVALID

  #REF! - Illegal or deleted cell reference

### NAME_INVALID

    public static final ErrorEval NAME_INVALID

  #NAME? - Wrong function or range name

### NUM_ERROR

    public static final ErrorEval NUM_ERROR

  #NUM! - Value range overflow

### NA

    public static final ErrorEval NA

  #N/A - Argument or function not available

### CIRCULAR_REF_ERROR

    public static final ErrorEval CIRCULAR_REF_ERROR

Method Detail

### valueOf

    public static ErrorEval valueOf(int errorCode)

  Translates an Excel internal error code into the corresponding POI ErrorEval instance

  Parameters:
    `errorCode` -

### getText

    public static java.lang.String getText(int errorCode)

  Converts error codes to text. Handles non-standard error codes OK. For debug/test purposes (and for formatting error messages).

  Returns:
    the String representation of the specified Excel error code.

### getErrorCode

    public int getErrorCode()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD